/* ==========================
   RESET GENERAL
========================== */

*,
*::before,
*::after {
    box-sizing: border-box;
}

html {
    width: 100%;
    min-height: 100%;
}

body {
    width: 100%;
    min-height: 100vh;
    margin: 0;
    overflow: hidden;

    background: var(--color-fondo);
    color: var(--color-texto);

    font-family: Georgia, "Times New Roman", serif;
    cursor: var(--cursor-normal);
}

img {
    display: block;
    max-width: 100%;
}

button,
input,
textarea,
select {
    font: inherit;
}

button {
    padding: 0;
    border: 0;
}

[hidden] {
    display: none !important;
}


/* ==========================
   APLICACIÓN
========================== */

.archivo {
    display: grid;
    width: 100%;
    min-height: 100vh;

    place-items: center;
}

button,
a,
.objeto__zona {
    cursor: var(--cursor-activo);
}